summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2015-03-30 22:17:32 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-04-03 20:50:12 +0700
commit33b5f0a37d91cda35d8916733c8155a9c9e7234d (patch)
tree2712075e2a691804701a4b14d32db68085992682 /games
parent8c507d6258504f1377a4321992c325be0b7c5a40 (diff)
downloadslackbuilds-33b5f0a37d91cda35d8916733c8155a9c9e7234d.tar.gz
slackbuilds-33b5f0a37d91cda35d8916733c8155a9c9e7234d.tar.xz
games/fortune-futurama: Added (Futurama quotes for fortune).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/fortune-futurama/README9
-rw-r--r--games/fortune-futurama/fortune-futurama.SlackBuild55
-rw-r--r--games/fortune-futurama/fortune-futurama.info10
-rw-r--r--games/fortune-futurama/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/games/fortune-futurama/README b/games/fortune-futurama/README
new file mode 100644
index 0000000000..1f0deb7e33
--- /dev/null
+++ b/games/fortune-futurama/README
@@ -0,0 +1,9 @@
+fortune-futurama (Futurama quotes for fortune)
+
+fortune-futurama is a compilation of quotes from the Fox TV Series
+"Futurama" by Matt Groening. The quotes have been compiled from various
+sources on the Web.
+
+After installing, use "fortune futurama" to see a Futurama quote. You
+can add futurama to the fortune command in bsd-games-login-fortune.sh,
+to see them on login.
diff --git a/games/fortune-futurama/fortune-futurama.SlackBuild b/games/fortune-futurama/fortune-futurama.SlackBuild
new file mode 100644
index 0000000000..823c848e32
--- /dev/null
+++ b/games/fortune-futurama/fortune-futurama.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for fortune-futurama
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/
+# for details.
+
+PRGNAM=fortune-futurama
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=${PRGNAM/-/-mod-}
+FILENAME=$( echo $PRGNAM | cut -d- -f2 )
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+
+# permissions worse than usual
+chown root:root *
+chmod 644 *
+
+OUTDIR=$PKG/usr/share/games/fortunes
+mkdir -p $OUTDIR
+cat $FILENAME > $OUTDIR/$FILENAME
+
+# rebuild the .dat file instead of using upstream's
+( cd $OUTDIR ; strfile $FILENAME )
+
+# upstream's README is 2 lines of install instructions, not real
+# useful. Include ours, which explains how to use this.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fortune-futurama/fortune-futurama.info b/games/fortune-futurama/fortune-futurama.info
new file mode 100644
index 0000000000..e8f8ae3703
--- /dev/null
+++ b/games/fortune-futurama/fortune-futurama.info
@@ -0,0 +1,10 @@
+PRGNAM="fortune-futurama"
+VERSION="0.2"
+HOMEPAGE="http://www.freshports.org/misc/fortune-mod-futurama/"
+DOWNLOAD="https://www.netmeister.org/apps/fortune-mod-futurama-0.2.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="be8388731c711368d3f59f13eb5088d9"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/fortune-futurama/slack-desc b/games/fortune-futurama/slack-desc
new file mode 100644
index 0000000000..d4362503f8
--- /dev/null
+++ b/games/fortune-futurama/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fortune-futurama: fortune-futurama (Futurama quotes for fortune)
+fortune-futurama:
+fortune-futurama: fortune-futurama is a compilation of quotes from the Fox TV Series
+fortune-futurama: "Futurama" by Matt Groening. The quotes have been compiled from
+fortune-futurama: various sources on the Web.
+fortune-futurama:
+fortune-futurama:
+fortune-futurama:
+fortune-futurama:
+fortune-futurama:
+fortune-futurama: